echo "Upgrading python3-pip"
python3 -m pip install --upgrade pip

function install {
  echo "Installing: ${1}..."
  pip3 install ${1}
}


python_packages=("numpy" "matplotlib" "scipy" "seaborn" "django" "torch" "torchvision" "torchaudio" "networkx" "Faker" "torch-cluster" "torch-geometric" "torch-scatter" "torch-sparse" "torch-spline-conv" "tqdm" "yapf" "yt-dlp" "scikit-learn" "scikit-image" "pandas" "python3-lsp-server[all]" "pynvim" "pylsp-mypy" "python-lsp-isort" "python-lsp-black" "pylint" "flake8" "hydra" "lightning" "virtualenv")

for package in $python_packages
do 
  pip3 install ${package}
done
